<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Dashboard</title>

    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

    <!-- Font Awesome CDN -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.2/css/all.min.css"
        integrity="sha512-Evv84Mr4kqVGRNSgIGL/F/aIDqQb7xQ2vcrdIwxfjThSH8CSR7PBEakCr51Ck+w+/U6swU2Im1vVX0SVk9ABhg=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />

    @vite(['resources/css/app.css', 'resources/js/app.js'])
    <script defer src="https://unpkg.com/alpinejs@3.x.x/dist/cdn.min.js"></script>

</head>

<body class="antialiased bg-gray-100 text-gray-800">

    <div x-data="{ sidebarOpen: true }" class="min-h-screen flex p-6" style="gap:25px">

        <!-- Sidebar -->
        <div :class="sidebarOpen ? 'w-56' : 'w-16'"
            class="bg-white border-r border-gray-200 transition-all duration-300 flex flex-col rounded">
            <div class="p-4 flex justify-between items-center">
                <span x-show="sidebarOpen" class="font-bold border-b-2 p-5">
                    <img src="./assets/image/logoinvestpahang.png" />
                </span>
                {{-- <button @click="sidebarOpen = !sidebarOpen" class="text-gray-600 focus:outline-none">
                    <svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24">
                        <path :class="sidebarOpen ? 'block' : 'hidden'" stroke-linecap="round" stroke-linejoin="round"
                            stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                        <path :class="!sidebarOpen ? 'block' : 'hidden'" stroke-linecap="round" stroke-linejoin="round"
                            stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
                    </svg>
                </button> --}}
            </div>

            <nav class="flex-1 px-2 space-y-2" x-show="sidebarOpen">

                <!-- Dashboard -->
                <a href="/" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-table-columns w-4 text-xs text-[#BD8736]"></i>
                    <span>Dashboard</span>
                </a>

                <a href="/agency" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-paste w-4 text-xs text-[#BD8736]"></i>
                    <span>Senarai Agensi</span>
                </a>

                <a href="/project" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-folder-open w-4 text-xs text-[#BD8736]"></i>
                    <span>Senarai Projek</span>
                </a>

                <a href="/agency_performance" class="flex items-center gap-2 px-4 py-2 rounded hover:bg-gray-200">
                    <i class="fa-solid fa-coins w-4 text-xs text-[#BD8736]"></i>
                    <span>Laporan Agensi</span>
                </a>

                <!-- Projects (with children) -->
                {{-- <div x-data="{ open: false }" class="space-y-1">
                    <button @click="open = !open"
                        class="w-full flex items-center justify-between px-4 py-2 rounded hover:bg-gray-200 text-left">
                        <div class="flex items-center gap-2">
                            <i class="fas fa-folder w-4 text-xs text-[#BD8736]"></i>
                            <span>Projects</span>
                        </div>
                        <svg :class="{ 'rotate-90': open }" class="w-4 h-4 transition-transform" fill="none"
                            stroke="currentColor" viewBox="0 0 24 24">
                            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5l7 7-7 7" />
                        </svg>
                    </button>
                    <div x-show="open" x-transition class="pl-10">
                        <a href="#" class="block px-2 py-1 rounded hover:bg-gray-100">All Projects</a>
                        <a href="#" class="block px-2 py-1 rounded hover:bg-gray-100">Create Project</a>
                    </div>
                </div> --}}

            </nav>

        </div>

        <!-- Content -->
        <div class="flex-1 overflow-y-scroll overflow-x-hidden" style="max-height: 93vh">
            @yield('content')
        </div>
        @yield('scripts')

    </div>

</body>

</html>
