<?php

use Illuminate\Support\Facades\Route;

Route::get('/', function () {

    $rekodKPIPelaburan = [
        [
            'id' => 1,
            'name' => 'Perbadanan Kemajuan Negeri Pahang (PKNP)',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 2,
            'name' => 'Perbadanan Pertanian Negeri Pahang (PKPP)',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 3,
            'name' => 'Perbadanan Setiausaha Kerajaan Pahang (PSK)',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 4,
            'name' => 'Pahang Corporations Sdn. Bhd',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 5,
            'name' => 'East Coast Development Region Council (ECERDC)',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 6,
            'name' => 'Yayasan Pahang',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 7,
            'name' => 'TGA Solutions',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ],
        [
            'id' => 8,
            'name' => 'UNIPSAS',
            'investment_target' => 2000897,
            'investment_target_setting' => 2000897,
        ]
    ];

    $status = [
        [
            'name' => 'Deraf Perjanjian',
            'percent' => "38"
        ],
        [
            'name' => 'Dalam Tindakan/Rundingan Kertas Kerja',
            'percent' => "18"
        ],
        [
            'name' => 'Penyediaan Kertas BOD',
            'percent' => "9"
        ],
        [
            'name' => 'Project Syarikat',
            'percent' => "24"
        ],
        [
            'name' => 'Penilaian JK Pelaburan',
            'percent' => "21"
        ],
        [
            'name' => 'Perjanjian Muktamad',
            'percent' => "42"
        ]
    ];

    return view('home', compact('rekodKPIPelaburan', 'status'));
});

Route::get('/agency', function () {

    $agencys = [
        [
            "id" => 1,
            "name" => "Perbadanan Kemajuan Negeri Pahang (PKNP)",
            "active_count" => 23,
            "status" => 2,
        ],
        [
            "id" => 2,
            "name" => "Perbadanan Pertanian Negeri Pahang (PKPP)",
            "active_count" => 45,
            "status" => 1,
        ],
        [
            "id" => 3,
            "name" => "Perbadanan Setiausaha Kerajaan Pahang (PSK)",
            "active_count" => 21,
            "status" => 3,
        ],
        [
            "id" => 4,
            "name" => "Pahang Corporations Sdn. Bhd",
            "active_count" => 77,
            "status" => 2,
        ],
        [
            "id" => 5,
            "name" => "Perbadanan Kemajuan Cameron Highlands (PKCH)",
            "active_count" => 53,
            "status" => 1,
        ],
        [
            "id" => 6,
            "name" => "Pahang Mining Corporations Sdn. Bhd",
            "active_count" => 56,
            "status" => 3,
        ],
        [
            "id" => 7,
            "name" => "East Coast Development Region Council (ECERDC)",
            "active_count" => 32,
            "status" => 2,
        ],
        [
            "id" => 8,
            "name" => "Yayasan Pahang",
            "active_count" => 234,
            "status" => 1,
        ],
        [
            "id" => 9,
            "name" => "TGA Solutions",
            "active_count" => 90,
            "status" => 3,
        ],
        [
            "id" => 10,
            "name" => "UNIPSAS",
            "active_count" => 32,
            "status" => 2,
        ]
    ];

    return view('agency', compact('agencys'));
});

Route::get('/project', function () {

    $commitedFDIProject = [
        [
            "id" => 1,
            "company_name" => "Fire Phoenix International",
            "type" => "Data Center",
            "status" => 1,
            "note" => "Dalam Proses Submit",
            "moa_date" => "22-02-2025",
            "area" => "Gambang",
            "invesment_approx" => 100000000,
            "labour_approx" => 50,
            "land_area" => 4757
        ],
        [
            "id" => 2,
            "company_name" => "Lestari Angkasa Sdn Bhd",
            "type" => "International Space Port",
            "status" => 0,
            "note" => "Loi Ditandatangani pada 14-03-2025",
            "moa_date" => "22-02-2025",
            "area" => "Pekan",
            "invesment_approx" => 100000000,
            "labour_approx" => 50,
            "land_area" => null
        ]
    ];

    $commitedDDIProject = [
        [
            "id" => 1,
            "company_name" => "Kicap Bentong Sdn. Bhd (Jualan)",
            "type" => "Kilang Memproses Kicap (Pembesaran)",
            "status" => 0,
            "note" => "Dalam Proses Submit",
            "moa_date" => "",
            "area" => "Kawasan Perindustrian Bentong",
            "invesment_approx" => 100000000,
            "labour_approx" => 50,
            "land_area" => 2
        ],
        [
            "id" => 2,
            "company_name" => "Advanced Achieve Property Management Sdn. Bhd",
            "type" => "International Space Port",
            "status" => 1,
            "note" => "Dalam Proses Pindahan",
            "moa_date" => "",
            "area" => "KP Gebeng 1",
            "invesment_approx" => 100000000,
            "labour_approx" => 50,
            "land_area" => 1.74
        ],
        [
            "id" => 3,
            "company_name" => "BH Setia Sdn Bhd (Jualan IKS)",
            "type" => "Data Center",
            "status" => 1,
            "note" => "Proses Dalam Pindahan",
            "moa_date" => "22-02-2025",
            "area" => "KP Gebeng 2",
            "invesment_approx" => 100000000,
            "labour_approx" => 50,
            "land_area" => 2.046
        ],
        [
            "id" => 4,
            "company_name" => "Gading Senggara Property (Pajakan)",
            "type" => "International Space Port",
            "status" => 0,
            "note" => "Dalam Proses Memuktamadkan Perjanjian",
            "moa_date" => "",
            "area" => "KP Gebeng 3",
            "invesment_approx" => 100000000,
            "labour_approx" => 50,
            "land_area" => 152
        ]
    ];

    return view('project', compact('commitedFDIProject', 'commitedDDIProject'));
});

Route::get('/agency_performance', function () {
    $agencys = [
        [
            "id" => 1,
            "name" => "Perbadanan Kemajuan Negeri Pahang (PKNP)",
            "company_name" => "Fire Phoenix International",
            "percent" => 45,
        ],
        [
            "id" => 2,
            "name" => "Perbadanan Pertanian Negeri Pahang (PKPP)",
            "company_name" => "Lestari Angkasa Sdn. Bhd.",
            "percent" => 100,
        ],
        [
            "id" => 3,
            "name" => "Perbadanan Setiausaha Kerajaan Pahang (PSK)",
            "company_name" => "Fire Phoenix International",
            "percent" => 15,
        ],
        [
            "id" => 4,
            "name" => "Pahang Corporations Sdn. Bhd",
            "company_name" => "Lestari Angkasa Sdn. Bhd.",
            "percent" => 45,
        ],
        [
            "id" => 5,
            "name" => "Perbadanan Kemajuan Cameron Highlands (PKCH)",
            "company_name" => "Fire Phoenix International",
            "percent" => 80,
        ],
        [
            "id" => 6,
            "name" => "Pahang Mining Corporations Sdn. Bhd",
            "company_name" => "Lestari Angkasa Sdn. Bhd.",
            "percent" => 15,
        ],
        [
            "id" => 7,
            "name" => "East Coast Development Region Council (ECERDC)",
            "company_name" => "Fire Phoenix International",
            "percent" => 45,
        ],
        [
            "id" => 8,
            "name" => "Yayasan Pahang",
            "company_name" => "Lestari Angkasa Sdn. Bhd.",
            "percent" => 66,
        ],
        [
            "id" => 9,
            "name" => "TGA Solutions",
            "company_name" => "Fire Phoenix International",
            "percent" => 15,
        ],
        [
            "id" => 10,
            "name" => "UNIPSAS",
            "company_name" => "Lestari Angkasa Sdn. Bhd.",
            "percent" => 45,
        ]
    ];

    return view('agency_performance', compact('agencys'));
});

/* For demo purpose only - please delete this when building the actual app */
// To demo comited and potential project
Route::prefix('api')->group(function () {
    Route::get('project/{type}', function ($type) {

        $comittedFDIProject = [
            [
                "id" => 1,
                "company_name" => "Fire Phoenix International",
                "type" => "Data Center",
                "status" => 1,
                "note" => "Dalam Proses Submit",
                "moa_date" => "22-02-2026",
                "year" => "2026",
                "area" => "Gambang",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 4757
            ],
            [
                "id" => 2,
                "company_name" => "Lestari Angkasa Sdn Bhd",
                "type" => "International Space Port",
                "status" => 0,
                "note" => "Loi Ditandatangani pada 14-03-2025",
                "moa_date" => "22-02-2025",
                "year" => "2025",
                "area" => "Pekan",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => null
            ]
        ];

        $commitedDDIProject = [
            [
                "id" => 1,
                "company_name" => "Kicap Bentong Sdn. Bhd (Jualan)",
                "type" => "Kilang Memproses Kicap (Pembesaran)",
                "status" => 0,
                "note" => "Dalam Proses Submit",
                "moa_date" => "",
                "area" => "Kawasan Perindustrian Bentong",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 2
            ],
            [
                "id" => 2,
                "company_name" => "Advanced Achieve Property Management Sdn. Bhd",
                "type" => "International Space Port",
                "status" => 1,
                "note" => "Dalam Proses Pindahan",
                "moa_date" => "",
                "area" => "KP Gebeng 1",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 1.74
            ],
            [
                "id" => 3,
                "company_name" => "BH Setia Sdn Bhd (Jualan IKS)",
                "type" => "Data Center",
                "status" => 1,
                "note" => "Proses Dalam Pindahan",
                "moa_date" => "22-02-2025",
                "area" => "KP Gebeng 2",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 2.046
            ],
            [
                "id" => 4,
                "company_name" => "Gading Senggara Property (Pajakan)",
                "type" => "International Space Port",
                "status" => 0,
                "note" => "Dalam Proses Memuktamadkan Perjanjian",
                "moa_date" => "",
                "area" => "KP Gebeng 3",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 152
            ]
        ];

        $potentialFDIProject = [
            [
                "id" => 1,
                "company_name" => "Kicap Bentong Sdn. Bhd (Jualan)",
                "type" => "Kilang Memproses Kicap (Pembesaran)",
                "status" => null,
                "note" => "Dalam Proses Submit",
                "moa_date" => "",
                "area" => "Kawasan Perindustrian Bentong",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 2
            ]
        ];

        $potentialDDIProject = [
            [
                "id" => 1,
                "company_name" => "Kicap Bentong Sdn. Bhd (Jualan)",
                "type" => "Kilang Memproses Kicap (Pembesaran)",
                "status" => 0,
                "note" => "Dalam Proses Submit",
                "moa_date" => "",
                "area" => "Kawasan Perindustrian Bentong",
                "invesment_approx" => 100000000,
                "labour_approx" => 50,
                "land_area" => 2
            ]
        ];

        if ($type == "commited") {
            return array(
                "FDIProject" => $comittedFDIProject,
                "DDIProject" => $commitedDDIProject,
            );
        }

        if ($type == "potential") {
            return array(
                "FDIProject" => $potentialFDIProject,
                "DDIProject" => $potentialDDIProject,
            );
        }

        return array(
            []
        );
    });
});
